using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 征集附件
    /// </summary>
    [Description("征集附件")]
    public class T_OG_EVENT_REPORT_FILE : MesEntityBase
    {
        /// <summary>
        /// 上报ID
        /// </summary>
        [Description("上报")]
        [DataFieldForeignKey("Nav_Report", "Nav_Files")]
        public Guid REPORT_ID { get; set; }        
        /// <summary>
        /// 导航：上报详情
        /// </summary>
        [Description("导航：上报详情")]
        public T_OG_EVENT_REPORT Nav_Report { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
